# load the library using the import keyword
# OpenCV must be properly installed for this to work. If not, then the module will not load with an
# error message.
import glob
import cv2
import sys
import os

count = 0 
files = glob.glob(path/to/images)
for file in files:
  #says.argv[1]
  a = files.index(file)
  cascPath = "haarcascade_frontalface_default.xml"
  faceCascade = cv2.CascadeClassifier(cascPath) # This creates the cascade classifcation from file 
  image = cv2.imread(file) # converge image Red to grayscale
  gray = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
  faces = faceCascade.detectMultiScale(       # The face or faces in an image are detected
    gray,                   # This section requires the most adjustments to get accuracy on face being detected.
    scaleFactor=1.1,
    minNeighbors=5,
    minSize=(64,64),
    flags = cv2.CASCADE_SCALE_IMAGE
   )
  for (x, y, w, h) in faces:          # This draws a green rectangle around the faces detected
    cv2.rectangle(image, (x, y), (x+w, y+h), (0, 0, 255), 3)        
    roi_color = image[y:y+h, x:x+w]
    height = 64
    width = 64
    dim = (height,width)
    roi_color = cv2.resize(roi_color, dim,interpolation=cv2.INTER_LINEAR)
    cv2.imwrite(str(a)+'.jpg' , roi_color)
